今天在运维阿里云服务器上的dedecms网站的时候,查看到有个漏洞提示为:DedeCMS v5.7 注册用户任意文件删除漏洞。该漏洞的详细简介信息为:dedecms前台任意文件删除(需要会员中心),发表文章处,对于编辑文章的时候图片参数处理不当,导致了任意文件删除。

在阿里云服务器的漏洞风险提示详情可以可以看到如下信息:

在阿里云的漏洞描述详细区域下方将有收到影响的文件以及服务器,可以使用上述阿里云建议的修复方案。

从阿里云提示的信息可知,阿里云云安全中心给出的修复方案为:

方案一:使用云盾自研补丁进行一键修复; 
方案二:更新该软件到官方最新版本或寻求该软件提供商的帮助。 
【注意:该补丁为云盾自研代码修复方案,云盾会根据您当前代码是否符合云盾自研的修复模式进行检测,如果您自行采取了底层/框架统一修复、或者使用了其他的修复方案,可能会导致您虽然已经修复了该漏洞,云盾依然报告存在漏洞,遇到该情况可选择忽略该漏洞提示】


如果不使用官方推荐的解决方案,可以使用网上查找的修复方案,博主在网上查找到一个解决方案如下:

(1)打开/member/inc/archives_check_edit.php,找到大概第92行代码,如下:

$litpic =$oldlitpic;

(2)将上述代码修改为

$litpic =$oldlitpic; if (strpos( $litpic, '..') !== false || strpos( $litpic, $cfg_user_dir."/{$userid}/" ) === false) exit('not allowed path!');